[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpQueryItem.IsEqual

Performs actions needed to compare the help query items.

## Declaration

Source position: lazhelpintf.pas line 40

`public function THelpQueryItem.IsEqual(`
`QueryItem: THelpQueryItem`
`):Boolean; virtual;`

## Arguments

`QueryItem` |  | Help query item compared to the current class instance.

## Function result

True when the help query items are the same.

## Description

IsEqual is a Boolean function used to compare help query items. IsEqual compares the current class instance to the item specified in QueryItem by calling the AsString method for each item. The return value is True when the string representation for the help query items are the same.

## See also

THelpQueryItem.AsString |  | Specifies the interface used get a help query as a String value.